package com.ruoyi.dxp.dto.database;

import java.io.Serializable;

/**
 * 数据库帮助列
 */
public class DatabaseUtilsColnInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String colName;

    private Integer dataLength;

    private String dataType;

    private Integer isIncrement;

    private Integer isPk;

    private Integer isRequired;

    public String getColName() {
        return colName;
    }

    public void setColName(String colName) {
        this.colName = colName;
    }

    public Integer getDataLength() {
        return dataLength;
    }

    public void setDataLength(Integer dataLength) {
        this.dataLength = dataLength;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public Integer getIsIncrement() {
        return isIncrement;
    }

    public void setIsIncrement(Integer isIncrement) {
        this.isIncrement = isIncrement;
    }

    public Integer getIsPk() {
        return isPk;
    }

    public void setIsPk(Integer isPk) {
        this.isPk = isPk;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }
}
